/***************************************************************************
 *   Copyright (C) 2003-2005 by Diego "Flameeyes" Pettenò                  *
 *   flameeyes@users.berlios.de                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "mainwindow.h"

#include <klocale.h>
#include <kaction.h>
#include <kkeydialog.h>
#include <knotifydialog.h>
#include <kapplication.h>
#include <kedittoolbar.h>

#include "kvba.h"

MainWindow::MainWindow(QWidget *parent, const char *name)
 : KMainWindow(parent, name)
{
	setXMLFile("kvbaui.rc");
	Kvba = new KvbaMain(this, "mainwidget");
	setCentralWidget(Kvba);
	
        KStdAction::keyBindings(this, SLOT( slotConfigureKeys() ), actionCollection() );
        KStdAction::configureNotifications(this, SLOT(slotConfigureNotifications()), actionCollection());
	KStdAction::configureToolbars(this, SLOT(slotConfigureToolBars()), actionCollection());
	KStdAction::quit(this, SLOT(close()), actionCollection());
	KStdAction::preferences(Kvba, SLOT(prefActivated()), actionCollection());
	// Load actions
	
	new KAction(i18n("&Add favorite"), 0, 0, Kvba, SLOT(addFavorites()), actionCollection(), "addfavorite");
	Kvba->editFavoritesAction = new KAction(i18n("&Edit favorite"), "edit", 0, Kvba, SLOT(editFavorites()), actionCollection(), "editfavorite");
	Kvba->editFavoritesAction->setEnabled(false);
	new KAction(i18n("New &config file"), 0, 0, Kvba, SLOT(fileNewConfigActivated()), actionCollection(), "newconfig");
	
	createGUI();
}

MainWindow::~MainWindow()
{
}

void MainWindow::slotConfigureKeys()
{
	KKeyDialog::configure( actionCollection(), this );
}

void MainWindow::slotConfigureNotifications()
{
	KNotifyDialog::configure(this);
}

void MainWindow::slotConfigureToolBars()
{
	KEditToolbar dlg(actionCollection());
	if (dlg.exec())
		createGUI();
}
